Replace Part
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/items/{parentId}/parts/{linkId}/replace \
--header 'Content-Type: application/json' \
--data '
{
"partProjectItemId": "<string>",
"expectedCatalogItemId": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"quantity": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/items/{parentId}/parts/{linkId}/replace"
payload = {
"partProjectItemId": "<string>",
"expectedCatalogItemId": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"quantity": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
partProjectItemId: '<string>',
expectedCatalogItemId: '<string>',
catalogFamilyId: '<string>',
catalogItemId: '<string>',
quantity: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/items/{parentId}/parts/{linkId}/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"row": {
"id": "<string>",
"parentProjectItemId": "<string>",
"partProjectItemId": "<string>",
"partProjectItemName": "<string>",
"partCatalogFamilyId": "<string>",
"partCatalogItemId": "<string>",
"partItemIsBaseMaterial": true,
"partFamilyItemType": "default",
"partCategoryName": "<string>",
"primaryImageUrl": "<string>",
"quantity": "<string>",
"createdAt": "<string>",
"partItemColumnsAttributes": {},
"partItemVersion": 123,
"catalogFamilyStatus": "<string>",
"catalogFamilyDiscontinued": true,
"partFamilyCategoryId": "<string>",
"productTypeId": "<string>",
"primaryItemSourceId": "<string>",
"totalsStatus": "unavailable",
"parentQuantity": "<string>",
"totalQuantity": "<string>",
"calculatedTotalPrice": "<string>",
"totalPriceOverride": "<string>",
"totalPrice": "<string>",
"totalPriceOverridable": true
},
"id": "<string>",
"parentProjectItemId": "<string>",
"partProjectItemId": "<string>",
"quantity": "<string>",
"totalPriceOverride": "<string>",
"createdAt": "<string>",
"affectedCatalogFamilyId": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}{
"statusCode": 409,
"message": "Conflict",
"code": "VARIANT_COMBO_TAKEN",
"entity": "<string>"
}Project Item Parts
Replace Part
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
items
/
{parentId}
/
parts
/
{linkId}
/
replace
Replace Part
Path Parameters
Query Parameters
Body
application/json
⌘I